"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = require("path");
const DEFAULT_WEBPACK_SERVER_PORT = 8080;
const DEFAULT_DEV_SERVER_PORT = 3030;
const DEFAULT_CLIENT_PUBLIC_PATH = '/static/';
const DEFAULT_SERVER_PUBLIC_PATH = '/';
const rootDirectory = process.cwd();
function getConfig() {
    const htmlFilename = 'client.html';
    const staticDirName = 'static';
    const buildDirName = 'build';
    const srcDirectory = path_1.join(rootDirectory, 'src');
    return {
        publicFilesDirectory: path_1.join(rootDirectory, 'public'),
        htmlFilename,
        buildDirName,
        staticDirName,
        clientChunkName: 'app.js',
        serverChunkName: 'server.js',
        webpackServerPort: DEFAULT_WEBPACK_SERVER_PORT,
        serverPort: DEFAULT_DEV_SERVER_PORT,
        clientPublicPath: DEFAULT_CLIENT_PUBLIC_PATH,
        serverPublicPath: DEFAULT_SERVER_PUBLIC_PATH,
        htmlTemplatePath: path_1.join(srcDirectory, 'index.html'),
        htmlPath: path_1.join(rootDirectory, staticDirName, 'client.html'),
        buildDirectory: path_1.join(rootDirectory, buildDirName),
        staticDirectory: path_1.join(rootDirectory, staticDirName),
        srcDirectory,
        customConfigFile: path_1.join(rootDirectory, 'server-renderer.config.js'),
    };
}
exports.getConfig = getConfig;
