"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = require("path");
const DEFAULT_WEBPACK_SERVER_PORT = 8080;
const DEFAULT_DEV_SERVER_PORT = 3030;
const DEFAULT_CLIENT_PUBLIC_PATH = '/static/';
const DEFAULT_SERVER_PUBLIC_PATH = '/';
const rootDirectory = process.cwd();
function getDevConfig() {
    return {
        clientChunkName: 'app.js',
        serverChunkName: 'server.js',
        webpackServerPort: DEFAULT_WEBPACK_SERVER_PORT,
        devServerPort: DEFAULT_DEV_SERVER_PORT,
        clientPublicPath: DEFAULT_CLIENT_PUBLIC_PATH,
        serverPublicPath: DEFAULT_SERVER_PUBLIC_PATH,
        htmlTemplatePath: path_1.join(rootDirectory, 'src/index.html'),
        htmlFilename: 'client.html',
        htmlPath: path_1.join(rootDirectory, 'client.html'),
        buildDirectory: 'build',
        staticDirectory: 'static',
    };
}
exports.getDevConfig = getDevConfig;
