"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const http = require("http");
const webpack = require("webpack");
const WebpackDevMiddleware = require("webpack-dev-middleware");
const webpack_config_1 = require("./webpack-config");
const config_1 = require("./config");
const chalk_1 = require("chalk");
require("./server-compiler");
const rootDirectory = process.cwd();
const clientDevConfig = webpack_config_1.genWebpackConfig({
    rootDirectory, isDev: true, isServer: false,
});
const clientCompiler = webpack(clientDevConfig);
const clientDevMiddleware = WebpackDevMiddleware(clientCompiler, {
    publicPath: clientDevConfig.output.publicPath,
    writeToDisk: false,
    logLevel: 'silent',
});
const app = http.createServer((req, res) => {
    clientDevMiddleware(req, res, () => {
        res.end();
    });
});
app.listen(config_1.getConfig().webpackServerPort, () => {
    console.clear();
    console.log(chalk_1.default.green(`正在启动开发服务...`));
});
