"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const webpack = require("webpack");
const WebpackDevMiddleware = require("webpack-dev-middleware");
const webpack_config_1 = require("./webpack-config");
const child_process_1 = require("child_process");
const path_1 = require("path");
const chalk_1 = require("chalk");
const rootDirectory = process.cwd();
const serverDevConfig = webpack_config_1.genWebpackConfig({
    rootDirectory, isDev: true, isServer: true,
});
const serverCompiler = webpack(serverDevConfig);
const serverDevMiddleware = WebpackDevMiddleware(serverCompiler, {
    publicPath: serverDevConfig.output.publicPath,
    writeToDisk: true,
    logLevel: 'silent',
});
let childProcess;
serverCompiler.hooks.done.tap('server-compile-done', (stats) => {
    if (childProcess) {
        childProcess.kill();
        console.clear();
        console.log(chalk_1.default.green('正在重启开发服务...'));
    }
    const assets = stats.toJson().assetsByChunkName;
    const chunkPath = path_1.join(serverDevConfig.output.path, assets.main);
    // @ts-ignore
    childProcess = child_process_1.fork(chunkPath, {}, { stdio: 'inherit' });
});
